All of lore.kernel.org
 help / color / mirror / Atom feed
From: Jeff Liu <jeff.liu@oracle.com>
To: "xfs@oss.sgi.com" <xfs@oss.sgi.com>
Subject: [PATCH v2 4/4] xfstests: xfs/305, verify turn group/project quotas off along with fsstress
Date: Tue, 03 Dec 2013 20:00:12 +0800	[thread overview]
Message-ID: <529DC7CC.7090804@oracle.com> (raw)

From: Jie Liu <jeff.liu@oracle.com>

Introduce xfs/305 to verify that we can turn group/project quotas
off while user quotas is on and fsstress is running at the same time.

Signed-off-by: Jie Liu <jeff.liu@oracle.com>
---
 tests/xfs/305     | 89 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/305.out |  7 +++++
 tests/xfs/group   |  1 +
 3 files changed, 97 insertions(+)
 create mode 100755 tests/xfs/305
 create mode 100644 tests/xfs/305.out

diff --git a/tests/xfs/305 b/tests/xfs/305
new file mode 100755
index 0000000..d925b8b
--- /dev/null
+++ b/tests/xfs/305
@@ -0,0 +1,89 @@
+#! /bin/bash
+# FS QA Test No. 305
+#
+# Test to verify that turn group/project quotas off while fstress and
+# user quotas are left on.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/quota
+
+# Modify as appropriate.
+_supported_fs xfs
+_supported_os Linux
+
+_require_scratch
+_require_xfs_quota
+_require_xfs_mkfs_crc
+_require_xfs_crc
+
+_scratch_mkfs_xfs -m crc=1 >/dev/null 2>&1
+
+_qmount_option "uquota,gquota,pquota"
+
+QUOTA_DIR=$SCRATCH_MNT/quota_dir
+
+_exercise()
+{
+	type=$1
+
+	_qmount
+	mkdir -p $QUOTA_DIR
+
+	$FSSTRESS_PROG -d $QUOTA_DIR -n 1000 -p 100 $FSSTRESS_AVOID >/dev/null 2>&1 &
+	sleep 10
+	xfs_quota -x -c "off -$type" $SCRATCH_DEV
+	sleep 5
+	killall -q $FSSTRESS_PROG
+	wait
+}
+
+echo "*** turn off group quotas"
+_exercise g
+echo "*** done"
+
+echo "*** turn off project quotas"
+_exercise p
+echo "*** done"
+
+echo "*** turn off group/project quotas"
+_exercise gp
+echo "*** done"
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/305.out b/tests/xfs/305.out
new file mode 100644
index 0000000..df900b9
--- /dev/null
+++ b/tests/xfs/305.out
@@ -0,0 +1,7 @@
+QA output created by 305
+*** turn off group quotas
+*** done
+*** turn off project quotas
+*** done
+*** turn off group/project quotas
+*** done
diff --git a/tests/xfs/group b/tests/xfs/group
index 7798d62..f6543ed 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -184,3 +184,4 @@
 302 auto dump
 303 auto quick quota
 304 auto quick quota
+305 auto quota
-- 
1.8.3.2

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

                 reply	other threads:[~2013-12-03 12:00 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=529DC7CC.7090804@oracle.com \
    --to=jeff.liu@oracle.com \
    --cc=xfs@oss.sgi.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.